ObjectInstance (Java Platform SE 8 )
Keywords: javax.management.ObjectInstance class
Date: 2018-07-01

compact3
javax.management

## Class ObjectInstance

- java.lang.Object
- - javax.management.ObjectInstance

- All Implemented Interfaces:
    Serializable

      public class ObjectInstance
      extends Object
      implements Serializable

  Used to represent the object name of an MBean and its class name. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectInstance(ObjectName objectName, String className)` Allows an object instance to be created given an object name and the full class name, including the package name.
    `ObjectInstance(String objectName, String className)` Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)` Compares the current object instance with another object instance.
    `String` | `getClassName()` Returns the class part.
    `ObjectName` | `getObjectName()` Returns the object name part.
    `int` | `hashCode()` Returns a hash code value for the object.
    `String` | `toString()` Returns a string representing this ObjectInstance object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectInstance

          public ObjectInstance(String objectName,
                                String className)
                         throws MalformedObjectNameException

      Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.
      Parameters:
        `objectName` - A string representation of the object name.
        `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`.
      Throws:
        `MalformedObjectNameException` - The string passed as a parameter does not have the right format.

    - #### ObjectInstance

          public ObjectInstance(ObjectName objectName,
                                String className)

      Allows an object instance to be created given an object name and the full class name, including the package name.
      Parameters:
        `objectName` - The object name.
        `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Compares the current object instance with another object instance.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `object` - The object instance that the current object instance is to be compared with.
      Returns:
        True if the two object instances are equal, otherwise false.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          public int hashCode()

      Description copied from class: `Object`
      Returns a hash code value for the object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

      The general contract of `hashCode` is:

      - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
      - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
      - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.

      As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the Java™ programming language.)

      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### getObjectName

          public ObjectName getObjectName()

      Returns the object name part.
      Returns:
        the object name.

    - #### getClassName

          public String getClassName()

      Returns the class part.
      Returns:
        the class name.

    - #### toString

          public String toString()

      Returns a string representing this ObjectInstance object. The format of this string is not specified, but users can expect that two ObjectInstances return the same string if and only if they are equal.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.